Bug 584220 - Review Request: python-gevent - A coroutine-based Python networking library
Summary: Review Request: python-gevent - A coroutine-based Python networking library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-21 01:32 UTC by Silas Sewell
Modified: 2013-11-25 19:22 UTC (History)
7 users (show)

Fixed In Version: python-gevent-0.12.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-26 00:56:49 UTC
tomspur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Silas Sewell 2010-04-21 01:32:30 UTC
Spec Url:
http://github.com/silas/rpms/raw/master/python-gevent/python-gevent.spec

SRPM Url:
http://github.com/downloads/silas/rpms/python-gevent-0.12.2-1.fc14.src.rpm

Description:
gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of libevent event loop.

Features include:

  * convenient API around greenlets
  * familiar synchronization primitives (gevent.event, gevent.queue)
  * socket module that cooperates
  * WSGI server on top of libevent-http
  * DNS requests done through libevent-dns
  * monkey patching utility to get pure Python modules to cooperate

rpmlint

[silas@fox rpmbuild]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
python-gevent.src: W: spelling-error Summary(en_US) coroutine -> co routine, co-routine, subroutine
python-gevent.src: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, subroutine
python-gevent.src: W: spelling-error %description -l en_US greenlet -> green let, green-let, Greenland
python-gevent.src: W: spelling-error %description -l en_US libevent -> lib event, lib-event, libertine
python-gevent.src: W: spelling-error %description -l en_US greenlets -> green lets, green-lets, Greenland
python-gevent.src: W: spelling-error %description -l en_US http -> HTTP
python-gevent.src: W: spelling-error %description -l en_US dns -> dens, dins, dons
... (repeats above)
3 packages and 0 specfiles checked; 0 errors, 14 warnings.

Comment 1 Thomas Spura 2010-04-21 18:35:01 UTC
Review:

Good:
- name ok
- %build ok
- %{optflags} there
- %clean there
- %install ok
- %files ok
- noarch not possible
- builds in koji (without BR setuptools):
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2130784
- no .la
- no libs
- no devel files
- license ok (MIT)
- sources match upstream: 97c75039a67593d3f5375fb77f73bbe7
- rpmlint same as posted above, it would be nice to avoid some spelling-errors, but they don't look 'wrong' to me. -> Ignorable


Needswork:
- BR: python-setuptools is not needed (the egg is builded by distutils)
- The %{__rm} is a matter of taste - looks not that good...

###############################################################################

Just one should: remove BR: python-setuptools

###############################################################################

APPROVED

Comment 2 Silas Sewell 2010-04-23 19:00:33 UTC
The needswork above should be addressed.

Change:
http://github.com/silas/rpms/commit/ac5ae97062af77ed7f159183332fad395ccfabe3

SRPM:
http://github.com/downloads/silas/rpms/python-gevent-0.12.2-2.fc14.src.rpm

rpmlint

[silas@fox rpmbuild]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
python-gevent.src: W: spelling-error Summary(en_US) coroutine -> co routine, co-routine, subroutine
python-gevent.src: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, subroutine
python-gevent.src: W: spelling-error %description -l en_US greenlet -> green let, green-let, Greenland
python-gevent.src: W: spelling-error %description -l en_US libevent -> lib event, lib-event, libertine
python-gevent.src: W: spelling-error %description -l en_US greenlets -> green lets, green-lets, Greenland
python-gevent.src: W: spelling-error %description -l en_US http -> HTTP
python-gevent.src: W: spelling-error %description -l en_US dns -> dens, dins, dons
... (repeats above)
3 packages and 0 specfiles checked; 0 errors, 14 warnings.

Comment 3 Silas Sewell 2010-04-23 19:06:22 UTC
New Package CVS Request
=======================
Package Name: python-gevent
Short Description: Coroutine-based Python networking library
Owners: silas
Branches: F-12 F-13

Comment 4 Kevin Fenzi 2010-04-24 00:40:54 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-05-26 00:55:49 UTC
python-gevent-0.12.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-gevent-0.12.2-2.fc13

Comment 6 Fedora Update System 2010-05-26 00:55:54 UTC
python-gevent-0.12.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-gevent-0.12.2-2.fc12

Comment 7 Fedora Update System 2010-06-14 17:17:16 UTC
python-gevent-0.12.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-14 17:28:29 UTC
python-gevent-0.12.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Orion Poplawski 2013-10-14 19:56:54 UTC
I would like to see this in EPEL6.  Would you be willing to maintain this there, or shall I?

Comment 10 Marek Goldmann 2013-11-25 18:55:55 UTC
Package Change Request
======================
Package Name: python-gevent
New Branches: el5 el6
Owners: goldmann

As a result of bug 1032912 I've decided to go ahead and ask for creation of EPEL branches. This package is required for docker-io. Orion, if you want to co-maintain this package - feel free.

Comment 11 Sam Kottler 2013-11-25 19:04:32 UTC
I'm willing to comaintain the package as well.

Comment 12 Gwyn Ciesla 2013-11-25 19:22:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.